Public Member Functions | Friends | List of all members
clan::AudioWorld Class Reference

`#include <audio_world.h>`

## Public Member Functions
| AudioWorld (const ResourceManager &resources)
void | enable_ambience (bool enable)
void | enable_reverse_stereo (bool enable)
bool | is_ambience_enabled () const
bool | is_reverse_stereo_enabled () const
void | set_listener (const Vec3f &position, const Quaternionf &orientation)
void | update ()

## Friends
class | AudioObject
class | AudioObject_Impl

## Constructor & Destructor Documentation

clan::AudioWorld::AudioWorld | ( | const ResourceManager & | resources | ) |

## Member Function Documentation

void clan::AudioWorld::enable_ambience | ( | bool | enable | ) |

void clan::AudioWorld::enable_reverse_stereo | ( | bool | enable | ) |

bool clan::AudioWorld::is_ambience_enabled | ( |  | ) | const

bool clan::AudioWorld::is_reverse_stereo_enabled | ( |  | ) | const

void clan::AudioWorld::set_listener | ( | const Vec3f & | position,
|  | const Quaternionf & | orientation
| ) |  |

void clan::AudioWorld::update | ( |  | ) |

## Friends And Related Function Documentation

friend class AudioObject
| friend

friend class AudioObject_Impl
| friend

The documentation for this class was generated from the following file:

- audio_world.h